Create a profile after an an account is booked or with the provided information
Security
bearer-jwt
- Mock serverhttps://api-docs.raipartners.com/_mock/apis/b2b/portal/profile
- Productionhttps://api.raipartners.com/b2b/portal/profile
- Sandboxhttps://api.dev.raipartners.com/b2b/portal/profile
curl -i -X POST \
https://api-docs.raipartners.com/_mock/apis/b2b/portal/profile \
-H 'API-Version: 1.0.0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"opa": "1234567890123456",
"primaryCardholder": {
"name": {
"first": "John",
"last": "Smith",
"middle": "James"
},
"dob": "2000-01-31",
"ssn": "123456789",
"cardNumber": "1234567890123456",
"communications": {
"mobilePhone": {
"number": "1234567890",
"verified": true
},
"email": {
"address": "myemail@email.com",
"verified": true
}
},
"address": {
"line1": "1 Main St",
"line2": "Apt 35",
"city": "Dallas",
"state": "TX",
"zipCode": "75000"
},
"income": {
"amount": 10000,
"source": "Employment",
"frequency": "Yearly"
}
},
"secondaryCardholder": {
"name": {
"first": "John",
"last": "Smith",
"middle": "James"
},
"dob": "2000-01-31",
"ssn": "123456789",
"cardNumber": "1234567890123456",
"communications": {
"mobilePhone": {
"number": "1234567890",
"verified": true
},
"email": {
"address": "myemail@email.com",
"verified": true
}
},
"address": {
"line1": "1 Main St",
"line2": "Apt 35",
"city": "Dallas",
"state": "TX",
"zipCode": "75000"
},
"income": {
"amount": 10000,
"source": "Employment",
"frequency": "Yearly"
}
},
"authorizedUsers": [
{
"name": {
"first": "John",
"last": "Smith",
"middle": "James"
},
"dob": "2000-01-31",
"ssn": "123456789",
"cardNumber": "1234567890123456",
"communications": {
"mobilePhone": {
"number": "1234567890",
"verified": true
},
"email": {
"address": "myemail@email.com",
"verified": true
}
},
"address": {
"line1": "1 Main St",
"line2": "Apt 35",
"city": "Dallas",
"state": "TX",
"zipCode": "75000"
},
"income": {
"amount": 10000,
"source": "Employment",
"frequency": "Yearly"
}
}
]
}'